#include<stdio.h>
#include<conio.h>

void main()
{

char m[]="\nprogramming",*p;
for (p=m; *p  ; p++)    if(p-m >2) (*p)++;
clrscr();
printf("m[] = programming");
printf("\np= %s", *p);
printf("\nm= %s", m);
getch();
}